Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.admin.jiraserver
Class ConfigureJiraServer

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.admin.jiraserver.ConfigureJiraServer

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ConfigureJiraServer

extends BambooActionSupport

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigureJiraServer()`

Method Summary
`String` | `doDefault()`
`String` | `doDelete()`
`String` | `doEdit()`
`String` | `doSave()`
`String` | `doView()`
`Collection` | `getAllJiraServers()`
`String` | `getHost()`
`String` | `getIssueKey()`
`long` | `getJiraServerId()`
`JiraServerManager` | `getJiraServerManager()`
`String` | `getName()`
`String` | `getPassword()`
`String` | `getPasswordChange()`
`String` | `getTesting()`
`RemoteIssue` | `getTestIssue()`
`String` | `getUsername()`
`void` | `setHost(String host)`
`void` | `setIssueKey(String issueKey)`
`void` | `setJiraServerId(long jiraServerId)`
`void` | `setJiraServerManager(JiraServerManager jiraServerManager)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setPasswordChange(String passwordChange)`
`void` | `setTesting(String testing)`
`void` | `setTestIssue(RemoteIssue testIssue)`
`void` | `setUsername(String username)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ConfigureJiraServer

    public ConfigureJiraServer()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### doView

    public String doView()

### doEdit

    public String doEdit()

### doSave

    public String doSave()

### doDelete

    public String doDelete()

### getAllJiraServers

    public Collection getAllJiraServers()

### getJiraServerId

    public long getJiraServerId()

### setJiraServerId

    public void setJiraServerId(long jiraServerId)

### getName

    public String getName()

### setName

    public void setName(String name)

### getHost

    public String getHost()

### setHost

    public void setHost(String host)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getPasswordChange

    public String getPasswordChange()

### setPasswordChange

    public void setPasswordChange(String passwordChange)

### getTesting

    public String getTesting()

### setTesting

    public void setTesting(String testing)

### getIssueKey

    public String getIssueKey()

### setIssueKey

    public void setIssueKey(String issueKey)

### getTestIssue

    public RemoteIssue getTestIssue()

### setTestIssue

    public void setTestIssue(RemoteIssue testIssue)

### getJiraServerManager

    public JiraServerManager getJiraServerManager()

### setJiraServerManager

    public void setJiraServerManager(JiraServerManager jiraServerManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.